Show / Hide Table of Contents

# Interface IHeaderListener

###### Namespace: Titanium.Web.Proxy.Http2.Hpack

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public interface IHeaderListener

### Methods

| Improve this Doc View Source

#### AddHeader(String, String, Boolean)

EmitHeader is called by the decoder during header field emission. The name and value byte arrays must not be modified.

##### Declaration

    void AddHeader(string name, string value, bool sensitive)

##### Parameters

Type | Name | Description
--- | --- | ---
String | name | Name.
String | value | Value.
Boolean | sensitive | If set to `true` sensitive.